package com.unipi.talepis.softeng2023_9;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.nio.charset.StandardCharsets;

public class MainActivity extends AppCompatActivity {
    TextView textView;
    ImageView imageView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = findViewById(R.id.textView);
        imageView = findViewById(R.id.imageView);
    }
    public void go1(View view){
        try {
            Thread.sleep(1);
        } catch (InterruptedException e) {
            //throw new RuntimeException(e);
        }
        new Thread(()->{
            try {
                Thread.sleep(6000);
                runOnUiThread(()->textView.setText("Hello Unipi!"));
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
        }).start();
    }
    public void go2(View view){
            new Thread(()->{
                try {
                    URL url = new URL("https://www.boredapi.com/api/activity");
                    String result = new String(url.openConnection().getInputStream().readAllBytes(), StandardCharsets.UTF_8);
                    String temp = textView.getText().toString();
                    runOnUiThread(()->textView.setText(result));
                    URL url2 = new URL("https://i.imgur.com/nFi0Hav.gif");
                    Bitmap bitmap = BitmapFactory.decodeStream(url2.openConnection().getInputStream());
                    runOnUiThread(()->imageView.setImageBitmap(bitmap));
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }).start();
    }
}